%global debug_package %{nil}

Name:           oracle-linux-manager-client-release-el9
Version:        1.0
Release:        2%{dist}
Summary:        Oracle Linux Manager Client yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-linux-manager-client-ol9.repo
Source1:        LICENSE

BuildArch:      noarch
Requires:       oraclelinux-release-el9
Requires:       grep
Requires:       sed
Requires:       yum-utils
Requires:       curl

%description
This package contains the Oracle Linux Manager Client yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*

%post
if [ ! -f /etc/yum/vars/ociregion ]; then
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/ -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
 if [ $? != 0 ]; then
   echo > /etc/yum/vars/ociregion
 else
  instance_region=$(http_proxy="";curl http://169.254.169.254/opc/v2/instance/ -s -H "Authorization: Bearer Oracle" | grep "region\" :" | awk -F\" '{print $4}' | cut -d '-' -f 2)
  if [ -z "$instance_region" ]; then
    echo > /etc/yum/vars/ociregion
  else
    if curl -sfm 10 http://yum-${instance_region}.oracle.com/yum-${instance_region}-ol7.repo > /dev/null; then
        echo "-$instance_region" > /etc/yum/vars/ociregion
    else
        echo > /etc/yum/vars/ociregion
     fi
  fi
 fi
fi



%changelog
* Mon Jun 20 2022 David Sloboda <david.x.sloboda@oracle.com> 1.0-2
- Add modifications for OL9. Build as a noarch RPM.

* Tue Dec 01 2020 Laurence Rochfort <laurence.rochfort@oracle.com> 1.0-1
- Rename to oracle-linux-manager-* for Spacewalk rebrand. [LINUX-9551] [LINUX-9553]

* Mon Aug 03 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

